//----------------------------------------------------------------------------
//  Project Ralph Calculus Concepts
//  iMedia Productions Inc.
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    SOUND.DLL
//  FILE:         CmsSound.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//  Version:		1.5.2 1/21/98 - MS, Original
//
//  OVERVIEW
//  ~~~~~~~~
//  Definitions/etc for the CMS sound system
//
//----------------------------------------------------------------------------
#if !defined(sounddll_h)              // Sentry, use file only if it's not already included.
#define cmssound_h

#define CMSSOUND_EXEFILENAME			"cmssound.exe"
#define CMSSOUND_WINDOWNAME			"CMS Sound System"

#define SND_SYNC           0x0000  		// (match mmsystem.h) play synchronously (default)
#define SND_ASYNC          0x0001	  	// (match mmsystem.h) play asynchronously
#define SND_LOOP           0x0008 	 	// (match mmsystem.h) loop the sound until next sndPlaySound
#define SND_NOSTOP         0x0010 	 	// (match mmsystem.h) don't stop any currently playing sound
#define SND_FROMSTART		0x0020		// start sound from the beginning

#define WM_CMSSOUND_INITIATECONTACT		WM_USER + 0x0100	// Response message from cmssound.exe
#define WM_CMSSOUND_REQUESTSOUNDID     WM_USER + 0x0101  // Requests a new sound ID
#define WM_CMSSOUND_FREESOUNDID		   WM_USER + 0x0103  // Frees an aquired sound ID
#define WM_CMSSOUND_PLAY               WM_USER + 0x0104	// Plays the sound
#define WM_CMSSOUND_STOP               WM_USER + 0x0105	// Stop specific sound ID
#define WM_CMSSOUND_STOPALL            WM_USER + 0x0106	// Stop all sounds
#define WM_CMSSOUND_PAUSEALL           WM_USER + 0x0107	// Pause all/any sounds
#define WM_CMSSOUND_RESTARTALL         WM_USER + 0x0108	// Restart all previously playing sounds
#define WM_CMSSOUND_ISPLAYING          WM_USER + 0x0109	// Is the specified ID playing
#define WM_CMSSOUND_ISSOUNDPLAYING     WM_USER + 0x010a	// Is any sound playing
#define WM_CMSSOUND_GETDURATION        WM_USER + 0x010b	// Get the duration of wave file
#define WM_CMSSOUND_GETPOSITION        WM_USER + 0x010c	// Gets the current position in wave file
#define WM_CMSSOUND_NOTIFYPLAYFINISHED	WM_USER + 0x010e	// Notification that Play is finished
#define WM_CMSSOUND_NOTIFYSTOPPED      WM_USER + 0x010f	// Notification that sound was stopped
#define WM_CMSSOUND_GETLASTERROR			WM_USER + 0x0110	// Retrieves last error code for an ID
#define WM_CMSSOUND_SENDFILENAME			WM_USER + 0x0111	// Sends the filename eight bytes at a time
#define WM_CMSSOUND_PING					WM_USER + 0x0112	// Ping - makes sure window still exists

#endif
