//----------------------------------------------------------------------------
//  Project RadioODA
//  Curt Swartzendruber Consulting Services
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    RadioODA Application
//  FILE:         rdodaabd.h
//  AUTHOR:       Curt Swartzendruber
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRadioODAAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(rdodaabd_h)              // Sentry, use file only if it's not already included.
#define rdodaabd_h

#include <owl/static.h>

#include "rdodaapp.rh"                  // Definition of all resources.


//{{TDialog = TRadioODAAboutDlg}}
class TRadioODAAboutDlg : public TDialog {
  public:
    TRadioODAAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TRadioODAAboutDlg();

//{{TRadioODAAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TRadioODAAboutDlgVIRTUAL_END}}
};    //{{TRadioODAAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // rdodaabd_h sentry.
