//----------------------------------------------------------------------------
//  Project Calculus Concepts Module
//  iMedia Productions, Inc.
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    Generic Application
//  FILE:         serror.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//	 HISTORY:		1.5.2 CMS, Original
//						1.5.3 10/31/97 CMS - Added DisplayResourceMessage function
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for SError (TWindow).
//
//----------------------------------------------------------------------------
#if !defined(serror_h)              // Sentry, use file only if it's not already included.
#define serror_h

#include <owl/window.h>
///#include "navshlap.rh"            // Definition of all resources.
//
// List of errors with a brief description
//
enum {ErrorInvalidCommandFile = 1,	// Invalid Command File Structure
      ErrorInvalidFileSeek,			// LSeek failed during command file navigation
      ErrorCommandFileOpen,			// Unable to open the specified command file
      ErrorFileDoesNotExist,			// Unable to open the specified command file
      ErrorInvalidParameter,			// Invalid parameter detected in command file
      ErrorInvalidParamColor,			// Invalid Color parameter detected in command
      ErrorParamMissingQuote,			// Parameter missing a quote in command file
      ErrorInvalidLineNumber,			// Invalid Line number detected in command file
      ErrorInvalidParamBool,			// Invalid Boolean parameter detected in command
      ErrorNewScreenPlacement,		// The NewScreen() command is not the first command in the new block
      ErrorInvalidSlideCode,			// Invalid slide code detected in NewScreen() command
      ErrorResourceStringLoadFailure, // Failed to load resource string
      ErrorEnd};


//{{TWindow = SError}}
class SError {
  public:
    SError();
    virtual ~SError();
    void SetErrorCode(const int code);
    void DisplayMessage(const int code);
    void DisplayMessage(const int code, const char* text);
    void DisplayResourceMessage(const TModule *module, const int id);
    int Terminate(const int code);
    int Terminate(const int code, const char* message);
    int TerminateWithErrno(void);
    void Test(const int code);
    void Test(const bool success, const char* message);

  private:
    int SErrorCode;
};    //{{SError}}


#endif  // serror_h sentry.

