//----------------------------------------------------------------------------
//  Project Ralph Calculus Concepts
//  iMedia Productions, Inc.
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    Generic Application
//  FILE:         SRadioBn.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//	 HISTORY:		1.5.2 (04/22/98) Original
//
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for SRadioButton (TRadioButton).
//
//----------------------------------------------------------------------------
#if !defined(sradiobn_h)	// Sentry, use file only if it's not already included.
#define sradiobn_h

#include <owl/owlpch.h>
#include <owl/radiobut.h>
#include "ssound.h"
#pragma hdrstop

#define IDC_MOUSELEFTBUTTON	300


//{{TRadioButton = SRadioButton}}


class SRadioButton : public TRadioButton {
   public:
		SRadioButton(TWindow* parent, int Id, const char* bmpFilename,
      			 int x, int y, int w, int h, const char* waveFilename = 0,
                TGroupBox* group = 0, TModule* module = 0);
      virtual ~SRadioButton ();

      int BitmapWidth(void);			// Retrieve the width of the buttons bitmap
      int Width(void);					// Retrieve the width of the button
      int BitmapHeight(void);			// Retrieve the height of the bitmap
      int Height(void);					// Retrieve the height of the button
	   bool Touches( TPoint pnt );	// Test to see if mouse is touching button

   protected:
      TBitmap *BmImage;  				// Button BMP image
      TMemoryDC *ImageDC;				// DC for the image
      DRAWITEMSTRUCT DrawInfo;		// DrawInfo structure

      int ButtonWidth,					// Width of the button
          ButtonHeight,					// Height of the button
          ImageWidth,					// Width of the button's BMP file
          ImageFrameHeight;			// Height of the button's BMP file
      SSound *WavSound;					// Wave object to play when pressed
      TPoint *UnCheckedTopLeft,		// UnChecked state top-left
             *CheckedTopLeft;	 		// Checked state top-left

//{{SRadioButtonVIRTUAL_BEGIN}}
   public:
      virtual void DrawMyButton(DRAWITEMSTRUCT far& drawInfo);	// Draw the button
      virtual void Paint(TDC& dc, bool erase, TRect& rect);		// Paint the button
      virtual void PaintALL(TDC& dc, bool erase, TRect& rect);	// Paint everything
      virtual void ODADrawEntire (DRAWITEMSTRUCT far& drawInfo);
      virtual void ODAFocus (DRAWITEMSTRUCT far& drawInfo);
      virtual void ODASelect (DRAWITEMSTRUCT far& drawInfo);
     // virtual void SetupWindow(void);
     // virtual bool Create();

     virtual uint GetCheck() const;
   private:
   	bool Checked;

//{{SRadioButtonVIRTUAL_END}}

//{{SRadioButtonRSP_TBL_BEGIN}}
  protected:
    void EvPaint();
    void EvLButtonDown(uint modKeys, TPoint& point);
    void EvLButtonUp(uint modKeys, TPoint& point);
    void EvMouseMove(uint modKeys, TPoint& point);
    bool EvEraseBkgnd(HDC);

//{{SRadioButtonRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(SRadioButton);
};    //{{SRadioButton}}


#endif                                      // sradiobn_h sentry.

