//----------------------------------------------------------------------------
//  Project Ralph Calculus Concepts
//  iMedia Productions, Inc.
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    NavShell Application
//  FILE:         ssound.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for SSound (TWindow).
//
//----------------------------------------------------------------------------
#if !defined(ssound_h)              // Sentry, use file only if it's not already included.
#define ssound_h

#include <owl/pch.h>
#include "cmssound.h"


//{{TWindow = SSound}}


class SSound : public TWindow {
   public:
		SSound(TWindow* parent, const char *waveFilename, TModule* module = 0);
      ~SSound();

      virtual void SetupWindow();

      DWORD GetErrorCode(void);
///      int Close(const int flags = 0);
///      int Open(const int flags = 0);
      int Play(const int flags = 0);
      int Stop(const int flags = 0);
      int StopAll(void);
      unsigned int GetDuration(void);
      unsigned int GetTime(void);
      bool SetNotifyComplete(HWND hWnd, const int msg, const WPARAM wParam = 0, const LPARAM = 0);
      bool IsPlaying(void);
      bool IsSoundPlaying(void);
      void SetDebug(const bool debug); 	// (v1.5.3 Added)

	private:
   	bool SendFilename(const char *data, const unsigned int size);

   	char *WaveFilename;
      unsigned int SoundId;				// ID number assigned to this sound
      bool IsCreated;				// Has the SetupWindow already been called
      HWND NotifyHWindow;
      int NotifyMessage;
   	WPARAM NotifyWParam;
      LPARAM NotifyLParam;			// (v1.5.3 Added)
      bool DebugMode;				// (v1.5.3 Added)

      LRESULT WmCmsSndInitContact(WPARAM id, LPARAM hWnd);
      LRESULT WmNotifyWhenPlayFinished(WPARAM /*id*/, LPARAM);
		LRESULT WmNotifyWhenStopped(WPARAM /*id*/, LPARAM);
      LRESULT WmPing(WPARAM, LPARAM);

   DECLARE_RESPONSE_TABLE(SSound);
};    //{{SSound}}


#endif  // ssound_h sentry.

